Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3697)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3698)
@@ -287,7 +287,9 @@
 				editor.addLinkedEditor(attachedBrowserEditor);
 				
 				int position = SynopticEditionPreferences.getInstance().getInt(SynopticEditionPreferences.BACKTOTEXT_POSITION);
-				SWTEditorsUtils.addEditor(editor, attachedBrowserEditor, position);
+				if (editor != null && position >= 0) {
+					SWTEditorsUtils.addEditor(editor, attachedBrowserEditor, position);
+				}
 			}
 			
 			// remove previous highlighted words
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 3697)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 3698)
@@ -20,7 +20,7 @@
 	public static final String FAST_HIGHLIGHT = "fast_highlight"; //$NON-NLS-1$
 	
 	/**
-	 * one of the EModelService position constant: 	ABOVE = 0 BELOW = 1 LEFT_OF = 2 RIGHT_OF = 3
+	 * one of the EModelService position constant: 	OVER = -1 ABOVE = 0 BELOW = 1 LEFT_OF = 2 RIGHT_OF = 3
 	 */
 	public static final String BACKTOTEXT_POSITION = "backtotext_position"; //$NON-NLS-1$
 
@@ -30,6 +30,7 @@
 	 * @return the instance
 	 */
 	public static TXMPreferences getInstance()	{
+		
 		if (!TXMPreferences.instances.containsKey(SynopticEditionPreferences.class)) {
 			new SynopticEditionPreferences();
 		}
@@ -39,6 +40,7 @@
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
+		
 		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.putBoolean(FAST_HIGHLIGHT, false);
 		preferences.putInt(BACKTOTEXT_POSITION, EModelService.ABOVE); //TODO set to RIGHT_OF later ?
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 3697)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 3698)
@@ -3,7 +3,6 @@
 import org.eclipse.e4.ui.workbench.modeling.EModelService;
 import org.eclipse.jface.preference.BooleanFieldEditor;
 import org.eclipse.jface.preference.ComboFieldEditor;
-import org.eclipse.jface.preference.IntegerFieldEditor;
 import org.eclipse.ui.IWorkbench;
 import org.txm.edition.rcp.messages.EditionUIMessages;
 import org.txm.rcp.IImageKeys;
@@ -34,9 +33,21 @@
 		fast_highlight = new BooleanFieldEditor(SynopticEditionPreferences.FAST_HIGHLIGHT, EditionUIMessages.enableFastWordHighlight, getFieldEditorParent());
 		addField(fast_highlight);
 		
-		String[][] values = {{"ABOVE", ""+EModelService.ABOVE}, {"BELOW", ""+EModelService.BELOW}, {"LEFT_OF", ""+EModelService.LEFT_OF}, {"RIGHT_OF", ""+EModelService.RIGHT_OF}};
+		String[][] values = {
+				{"OVER", "-1"}, 
+				{"ABOVE", ""+EModelService.ABOVE}, 
+				{"BELOW", ""+EModelService.BELOW}, 
+				{"LEFT_OF", ""+EModelService.LEFT_OF}, 
+				{"RIGHT_OF", ""+EModelService.RIGHT_OF}};
 		
 		backtotext_position = new ComboFieldEditor(SynopticEditionPreferences.BACKTOTEXT_POSITION, "new editor position", values, getFieldEditorParent());
 		addField(backtotext_position);
 	}
+	
+	public boolean performOk() {
+		boolean b = super.performOk();
+		String v = SynopticEditionPreferences.getInstance().getString(SynopticEditionPreferences.BACKTOTEXT_POSITION);
+		System.out.println("v="+v);
+		return b;
+	}
 }
\ No newline at end of file
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3697)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3698)
@@ -513,8 +513,10 @@
 				// @Override
 				// public void widgetDefaultSelected(SelectionEvent e) { }
 				// });
-				Cursor cursor = new Cursor(text_text.getDisplay(), SWT.CURSOR_SIZENS);
-				text_text.setCursor(cursor);
+				if (!text_text.isDisposed()) {
+					Cursor cursor = new Cursor(text_text.getDisplay(), SWT.CURSOR_SIZENS);
+					text_text.setCursor(cursor);
+				}
 			}
 			catch (Exception e2) {
 				e2.printStackTrace();
